View Issue Details

IDProjectCategoryView StatusLast Update
0001967SOGoBackend Mailpublic2019-11-11 10:33
Reportermaxb Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.18 
Fixed in Version4.2.0 
Summary0001967: Vacation Sieve needs to be customizable
Description

Currently the Sieve used to set vacation messages is hardcoded.

I need to be able to modify it so that vacation messages are not sent in response to messages which have been tagged as spam - i.e. I need to add extra header tests.

TagsNo tags attached.

Activities

ludovic

ludovic

2016-06-23 14:35

administrator   ~0010428

If you uncheck "Always send vacation message response", the filters will be executed BEFORE the vacation message - so you can discard the crap you want.

maxb

maxb

2016-06-23 14:39

reporter   ~0010429

I see your note, but that only addresses the per-user use-case.

It does nothing for me as administrator of a SOGo instance for a site, wanting to ensure that vacation autoresponses set by less technical users, integrate sensibly with our spam checker.

ludovic

ludovic

2016-06-23 14:42

administrator   ~0010430

In this case, https://sogo.nu/bugs/view.php?id=1392 would be more accurate for what you are looking.

ludovic

ludovic

2019-11-11 10:33

administrator   ~0013890

Resolve with prepended Sieve scripts.

Issue History

Date Modified Username Field Change
2012-08-31 14:58 maxb New Issue
2012-09-20 09:20 ludovic Severity major => feature
2016-06-23 14:35 ludovic Note Added: 0010428
2016-06-23 14:35 ludovic Status new => closed
2016-06-23 14:35 ludovic Assigned To => ludovic
2016-06-23 14:35 ludovic Resolution open => no change required
2016-06-23 14:39 maxb Note Added: 0010429
2016-06-23 14:39 maxb Status closed => feedback
2016-06-23 14:39 maxb Resolution no change required => reopened
2016-06-23 14:42 ludovic Note Added: 0010430
2019-11-11 10:33 ludovic Note Added: 0013890
2019-11-11 10:33 ludovic Status feedback => resolved
2019-11-11 10:33 ludovic Fixed in Version => 4.2.0
2019-11-11 10:33 ludovic Resolution reopened => fixed